Skip to main content
`Ctrl`+`K`

# PetscGridHashGetEnclosingBox

Find the grid boxes containing each input point

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode PetscGridHashGetEnclosingBox(PetscGridHash box, PetscInt numPoints, const PetscScalar points[], PetscInt dboxes[], PetscInt boxes[])

Not Collective

## Input Parameters

- box - The grid hash object

- numPoints - The number of input points

- points - The input point coordinates

## Output Parameters

- dboxes - An array of `numPoints` x `dim` integers expressing the enclosing box as (i_0, i_1, …, i_dim)

- boxes - An array of `numPoints` integers expressing the enclosing box as single number, or `NULL`

## Note

This only guarantees that a box contains a point, not that a cell does.

## See Also

`DMPLEX`, `PetscGridHashCreate()`

## Level

developer

## Location

src/dm/impls/plex/plexgeometry.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages